#include <iostream>

using namespace std;

int main(void)
{
    int x1,x2,y1,y2;
    cin >> x1;
    cin >> y1;
    cin >> x2;
    cin >> y2;
    if(x1 == x2 || y1 == y2)
        cout << "2\n";
    else if((x1-x2) == (y1-y2))
        cout << "1\n";
    else
        cout << "0\n";
    return 0;
}